#!/usr/bin/env bash

analyze() {
  # Thanks to instabilities in python multiproc, it's 
  # faster to just run all these threaded as separate 
  # processes for now
  GEN=$1
  echo "Gen $GEN start"
  python tools/analyze.py \
    -o data/latest-$GEN.db \
    -w2 --threading \
    images/gen$GEN/* \
    >> analyze.log
  echo "Gen $GEN end"
}

echo "$(date)" > analyze.log

analyze 1 &
analyze 2 &
analyze 3 &
wait

analyze 4 &
analyze 5 &
analyze 6 &
wait

analyze 7 &
analyze 8 &
analyze 9 &
wait

python tools/merge-db.py \
  -d data/pokedex.json \
  -o data/latest-all.db \
  data/latest-{1,2,3,4,5,6,7,8,9}.db
